%define perl_vendorlib %(eval "`%{_bindir}/perl -V:installvendorlib`"; echo $installvendorlib)

Name:           perl-ExtUtils-PkgConfig
Version:        1.11
Release:        1
Summary:        Simplistic interface to pkg-config

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://search.cpan.org/dist/ExtUtils-PkgConfig/
Source0:        http://search.cpan.org/CPAN/authors/id/T/TS/TSCH/ExtUtils-PkgConfig-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
BuildRequires:  pkg-config
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires:       perl >= 5.8.8
Requires:       pkg-config

%description
The pkg-config program retrieves information about installed libraries,
usually for the purposes of compiling against and linking to them.

ExtUtils::PkgConfig is a very simplistic interface to this utility,
intended for use in the Makefile.PL of perl extensions which bind
libraries that pkg-config knows. It is really just boilerplate code
that you would've written yourself.


%prep
%setup -q -n ExtUtils-PkgConfig-%{version}


%build
%{_bindir}/perl Makefile.PL INSTALLDIRS=vendor
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc Changes README
%{perl_vendorlib}/ExtUtils/
%{_mandir}/man3/*.3*


%changelog
* Thu Oct 23 2008 Michael Perzl <michael@perzl.org> - 1.11-1
- first version for AIX V5.1 and higher
